<mat-progress-bar color="accent" [mode]="progressBar.mode" [value]="progressBar.value" *ngIf="progressBar.visible"></mat-progress-bar>
<mat-toolbar class="mat-elevation-z1" color="primary">
    <button *ngIf="mediaService.match('(max-width: 1100px)')" mat-icon-button (click)="toggle.emit()"><mat-icon>menu</mat-icon></button>
    <a mat-button routerLink="/"><h3>{{text.title}}</h3></a>

    <!--<ng-container *ngIf="media.matchMedia('(min-width: 769px)').matches">-->
    <ng-container *ngIf="mediaService.match('(min-width: 769px)')">
        <a routerLink="/soci" mat-button>Soci</a>
        <a routerLink="/bilancio" mat-button>Bilancio</a>
        <a routerLink="/logs" mat-button *ngIf="canViewLogs">Logs</a>

        <div style="flex: 1 1 auto;"></div>
        <app-import *ngIf="canImport"></app-import>
        <button color="accent" mat-raised-button (click)="logout()">logout</button>
    </ng-container>
    <!--<ng-container *ngIf="media.matchMedia('(max-width: 768px)').matches">-->
    <ng-container *ngIf="mediaService.match('(max-width: 768px)')">
        <button [matMenuTriggerFor]="mobileMenu" mat-icon-button style="margin-left: auto">
            <mat-icon>more_vert</mat-icon>
        </button>
        <mat-menu #mobileMenu="matMenu">
            <ng-template matMenuContent>
                <a routerLink="/soci" mat-menu-item>Soci</a>
                <a routerLink="/bilancio" mat-menu-item>Bilancio</a>
                <a routerLink="/logs" mat-menu-item *ngIf="canViewLogs">Logs</a>
                <button color="accent" mat-menu-item (click)="logout()">logout</button>
            </ng-template>
        </mat-menu>
    </ng-container>
</mat-toolbar>